Debian Bug report logs - #657049
broadcom-sta-source: module-assistant can't build broadcom-sta-source

version graph

Package: broadcom-sta-source; Maintainer for broadcom-sta-source is Cyril Lacoux <clacoux@easter-eggs.com>; Source for broadcom-sta-source is src:broadcom-sta.

Reported by: Flamarion Jorge <jorge.flamarion@gmail.com>

Date: Mon, 23 Jan 2012 19:12:01 UTC

Severity: important

Found in version broadcom-sta/5.100.82.112-4

Fixed in version broadcom-sta/5.100.82.112-5

Done: Cyril Lacoux <clacoux@easter-eggs.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#657049; Package broadcom-sta-source. (Mon, 23 Jan 2012 19:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Flamarion Jorge <jorge.flamarion@gmail.com>:
New Bug report received and forwarded. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Mon, 23 Jan 2012 19:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Flamarion Jorge <jorge.flamarion@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: broadcom-sta-source: module-assistant can't build broadcom-sta-source
Date: Mon, 23 Jan 2012 17:08:40 -0200
[Message part 1 (text/plain, inline)]
Package: broadcom-sta-source
Version: 5.100.82.112-4
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear Maintainer,

module-assistant can't build broadcomp-sta-source.

I did m-a update, m-a prepare and m-a a-i broadcom-sta-source and the result
was:

QUILT_PATCHES=debian/patches \
                quilt --quiltrc /dev/null pop -a -R || test $? = 2
rm -rf .pc debian/stamp-patched
dh_testdir
#dh_testroot
dh_clean
/usr/bin/make  -f debian/rules clean
make[1]: Entrando no diretório `/usr/src/modules/broadcom-sta'
QUILT_PATCHES=debian/patches \
                quilt --quiltrc /dev/null pop -a -R || test $? = 2
rm -rf .pc debian/stamp-patched
dh_testdir
#dh_testroot
dh_clean
make[1]: Saindo do diretório `/usr/src/modules/broadcom-sta'
/usr/bin/make  -f debian/rules kdist_clean kdist_config binary-modules
make[1]: Entrando no diretório `/usr/src/modules/broadcom-sta'
QUILT_PATCHES=debian/patches \
                quilt --quiltrc /dev/null pop -a -R || test $? = 2
No patch removed
rm -rf .pc debian/stamp-patched
dh_testdir
#dh_testroot
dh_clean
/usr/bin/make -w -f debian/rules clean
make[2]: Entrando no diretório `/usr/src/modules/broadcom-sta'
QUILT_PATCHES=debian/patches \
                quilt --quiltrc /dev/null pop -a -R || test $? = 2
No patch removed
rm -rf .pc debian/stamp-patched
dh_testdir
#dh_testroot
dh_clean
make[2]: Saindo do diretório `/usr/src/modules/broadcom-sta'
make[1]: Nada a ser feito para `kdist_config'.
for templ in ; do \
    cp $templ `echo $templ | sed -e 's/_KVERS_/3.2.0-1-amd64/g'` ; \
  done
for templ in `ls debian/*.modules.in` ; do \
    test -e ${templ%.modules.in}.backup || cp ${templ%.modules.in}
${templ%.modules.in}.backup 2>/dev/null || true; \
    sed -e 's/##KVERS##/3.2.0-1-amd64/g ;s/#KVERS#/3.2.0-1-amd64/g ;
s/_KVERS_/3.2.0-1-amd64/g ; s/##KDREV##/3.2.1-1/g ; s/#KDREV#/3.2.1-1/g ;
s/_KDREV_/3.2.1-1/g  ' < $templ > ${templ%.modules.in}; \
  done
dh_testroot
dh_prep
# Build the module
cd /usr/src/modules/broadcom-sta && \
        make -C /lib/modules/3.2.0-1-amd64/build M=/usr/src/modules/broadcom-
sta
make[2]: Entrando no diretório `/usr/src/linux-headers-3.2.0-1-amd64'
Wireless Extension is the only possible API for this kernel version
Using Wireless Extension API
Kernel architecture is X86_64
  CC [M]  /usr/src/modules/broadcom-sta/src/wl/sys/wl_linux.o
/usr/src/modules/broadcom-sta/src/wl/sys/wl_linux.c:390:2: error: unknown field
‘ndo_set_multicast_list’ specified in initializer
/usr/src/modules/broadcom-sta/src/wl/sys/wl_linux.c:390:2: warning:
initialization from incompatible pointer type [enabled by default]
/usr/src/modules/broadcom-sta/src/wl/sys/wl_linux.c:390:2: warning: (near
initialization for ‘wl_netdev_ops.ndo_validate_addr’) [enabled by default]
make[5]: ** [/usr/src/modules/broadcom-sta/src/wl/sys/wl_linux.o] Erro 1
make[4]: ** [_module_/usr/src/modules/broadcom-sta] Erro 2
make[3]: ** [sub-make] Erro 2
make[2]: ** [all] Erro 2
make[2]: Saindo do diretório `/usr/src/linux-headers-3.2.0-1-amd64'
make[1]: ** [binary-modules] Erro 2
make[1]: Saindo do diretório `/usr/src/modules/broadcom-sta'
make: ** [kdist_build] Erro 2

Without broadcom module I can't use wireless nic.

Thank you.



- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages broadcom-sta-source depends on:
ii  bzip2      1.0.6-1
ii  debhelper  9.20120115
ii  make       3.81-8.1
ii  quilt      0.50-2

Versions of packages broadcom-sta-source recommends:
ii  module-assistant  0.11.4

Versions of packages broadcom-sta-source suggests:
ii  wireless-tools  30~pre9-8

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPHbA4AAoJEJhPZF0zwv0zmLoQAIHzea1ZuYL/Fe33VxMiVVDH
CC+AhX0xBlmjnwpd5hv2jtr+wlqPfA9hdXybzzOaMfVzeStdT8Wr4ZjwLK24Inbm
flkozlCGk+4l8D1iotEh4mdfVzLNYql11Bc5HjR+vwiRDYm0oMKmua5SYC0REIFC
SztBb4IvocBBNNEZ0f6z192Y72I0Nz+jkw5GMgvLnvTI6WXB5Sf32eDkMsUKW4Tx
dahOrZZsPO6ruu/Pjv9FZ15bYRSXhg4smvhf/L9hQMfoU2nxrzzi7PL2M6zVeqP9
8fZfrryRjb+U8aQUX+wby28oYoGCXlG2az7gOh8fdSBDLJppJ0whJJXr6PX2LSye
zYBKE12qJP451BdjMC4vOSalhXHE6iOlETqBR7Az6IgXtsuVbV9JUnyBhBFT6sjS
5mpELxGyqEL0UIXNksZwIwnxbVzLyL+dQx70EOM5hbVnSELCbew2PDVvcVxvKjRy
JlSsmkpayneVbMq1+iJmv8GiCPNjLUickoh5ThTQ405HkRIE3Vd3iNF01JoaLeC0
w6TLQGCIMxDumQenQNlecrlpjlM5PZaFx0qqui4Z0qCvQAQKHNq35S3Fube9jgho
oa5uZ0Lv+OaHIy/MHoFuKfq3+mrC1QsZio5aXFWA4wqF8wExLrYWNXvFWzuz/CRQ
vpXfGXYFfLSosoNYu1Qv
=N+rn
-----END PGP SIGNATURE-----
[broadcom-sta-source.buildlog.3.2.0-1-amd64.1327345226 (text/plain, attachment)]

Reply sent to Cyril Lacoux <clacoux@easter-eggs.com>:
You have taken responsibility. (Tue, 24 Jan 2012 09:03:33 GMT) Full text and rfc822 format available.

Notification sent to Flamarion Jorge <jorge.flamarion@gmail.com>:
Bug acknowledged by developer. (Tue, 24 Jan 2012 09:03:34 GMT) Full text and rfc822 format available.

Message #10 received at 657049-close@bugs.debian.org (full text, mbox):

From: Cyril Lacoux <clacoux@easter-eggs.com>
To: 657049-close@bugs.debian.org
Subject: Bug#657049: fixed in broadcom-sta 5.100.82.112-5
Date: Tue, 24 Jan 2012 09:02:17 +0000
Source: broadcom-sta
Source-Version: 5.100.82.112-5

We believe that the bug you reported is fixed in the latest version of
broadcom-sta, which is due to be installed in the Debian FTP archive:

broadcom-sta-common_5.100.82.112-5_all.deb
  to non-free/b/broadcom-sta/broadcom-sta-common_5.100.82.112-5_all.deb
broadcom-sta-source_5.100.82.112-5_all.deb
  to non-free/b/broadcom-sta/broadcom-sta-source_5.100.82.112-5_all.deb
broadcom-sta_5.100.82.112-5.debian.tar.gz
  to non-free/b/broadcom-sta/broadcom-sta_5.100.82.112-5.debian.tar.gz
broadcom-sta_5.100.82.112-5.dsc
  to non-free/b/broadcom-sta/broadcom-sta_5.100.82.112-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657049@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Lacoux <clacoux@easter-eggs.com> (supplier of updated broadcom-sta package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Jan 2012 08:59:07 +0400
Source: broadcom-sta
Binary: broadcom-sta-common broadcom-sta-source
Architecture: source all
Version: 5.100.82.112-5
Distribution: unstable
Urgency: low
Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
Changed-By: Cyril Lacoux <clacoux@easter-eggs.com>
Description: 
 broadcom-sta-common - Common files for the Broadcom STA Wireless driver
 broadcom-sta-source - Source for the Broadcom STA Wireless driver
Closes: 655279 656600 657049
Changes: 
 broadcom-sta (5.100.82.112-5) unstable; urgency=low
 .
   * Re-add support for installation from sources (Closes: #655279).
   * Added 06-3.2.0.patch to compile with 3.2 kernels (Closes: #656600, #657049).
Checksums-Sha1: 
 fe31962cc1bfc6029d540f8c77c4eb6198f0f467 1917 broadcom-sta_5.100.82.112-5.dsc
 6b136f44f38231baab970e727961df246e4feb51 15700 broadcom-sta_5.100.82.112-5.debian.tar.gz
 f6c5bc2d8716ceedd626ca6aa897fcea91136db6 11828 broadcom-sta-common_5.100.82.112-5_all.deb
 49fb3f3d915a13a7c24dd0b2632b563d2cab3d18 1943226 broadcom-sta-source_5.100.82.112-5_all.deb
Checksums-Sha256: 
 d964865f4e0f9a3cb7e7fcc6bf716d76fbe3721773d390fefeb9e2a203e94666 1917 broadcom-sta_5.100.82.112-5.dsc
 98b8952b0bb85aaf8a3f88e1f142ad7a2eae32d3ef1e5b647348cc375dc0cec1 15700 broadcom-sta_5.100.82.112-5.debian.tar.gz
 e49e5af2d2460d757d45d6d02888660f02c32044af4ca8cf5318a8b7933b3676 11828 broadcom-sta-common_5.100.82.112-5_all.deb
 94ba801178f743fd3dada1dca37ffd53176b1c6f1428c75e5e57abb861fe9fb1 1943226 broadcom-sta-source_5.100.82.112-5_all.deb
Files: 
 2c7cfd300f0bbbaedfbf6e49dbaaf684 1917 non-free/admin optional broadcom-sta_5.100.82.112-5.dsc
 211e6ddde920d734401a740f8429958a 15700 non-free/admin optional broadcom-sta_5.100.82.112-5.debian.tar.gz
 91d25921b93f8903d99f058cdeb8cf4a 11828 non-free/admin optional broadcom-sta-common_5.100.82.112-5_all.deb
 ee0ad9ccfa5d9f8e50e4a801cd1fdefe 1943226 non-free/admin optional broadcom-sta-source_5.100.82.112-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPHm+1AAoJEGEbqVCLeKXCYcsP/iXydcTC7n8fBM8xFuHlWAEp
b7aCch5HZL2l7iMllxAtrERyTeLEOt2OfJhzQAdIrCoPDa9/Zzn5Zn8Evjryiyqm
rMEyXIP6UHERqPM9npCvBpD9bpmG1oJ8aiknQy6/ofXEfqT3DeuRODsYRpCG/hRN
nunwB9063lfrxXWn+BBAf93yHvqF2fmAqswttWSMWIEY0HGM00shEfqmVu9XfyWD
Cdyci8M0jo49Wn/FXrtTODjX3bzOsHNwvE6owuMCSKlLrvBFxCLNfqJAVdlxkmur
3CUiRBb9AVUb424/+zF+zooQOXgbvzH913xlvdgRygTBxzV6eBNBqRpcWbnIce7j
6sPJkV6ufn+OllQmn/y5+tjIjCv757deHycxlrvyq4nhoMgwUEslY3QsyUlnl/5R
eb0Idgnbpm4K2TXwHWUzeSP0RPhcUBciOXpbCoCYnflx88fkrsJLqhvHeo+0eVKc
A/s4UDKVVDFpapRHvUFcok3kZ2gbmzcSjyvbspk0VsZxmTyvk1bY02FFaY8fSOYg
AUcHvewfqsz3KQdmBlMqsMzk+Pwosq1sZnh8GhSgPp4O1wLEJX+wlA9ibJAiHi5Q
oyVmaPB67epbFa0DEYm4KO+mqBEq31cPxY80XMe9T/z/jmYNB6nPEBotOTc0mmp7
4osfh5aoxEtiJP4FJRyg
=fc1c
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#657049; Package broadcom-sta-source. (Thu, 16 Feb 2012 06:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to sebastian <sebastian.gassner@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Thu, 16 Feb 2012 06:57:07 GMT) Full text and rfc822 format available.

Message #15 received at 657049@bugs.debian.org (full text, mbox):

From: sebastian <sebastian.gassner@gmail.com>
To: 657049@bugs.debian.org
Date: Thu, 16 Feb 2012 07:52:56 +0100
I am experiencing the same problem with broadcom-sta-source 5.100.82.112-4.

When do you expect that broadcom-sta-source 5.100.82.112-5 will be
available for wheezy?

Duplicate: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=656600

Greetings,
-sebastian




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#657049; Package broadcom-sta-source. (Thu, 16 Feb 2012 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Lacoux <clacoux@easter-eggs.com>:
Extra info received and forwarded to list. (Thu, 16 Feb 2012 07:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 657049@bugs.debian.org (full text, mbox):

From: Cyril Lacoux <clacoux@easter-eggs.com>
To: sebastian <sebastian.gassner@gmail.com>
Cc: 657049@bugs.debian.org
Subject: Re: Bug#657049:
Date: Thu, 16 Feb 2012 11:27:56 +0400
Le jeudi 16 février 2012 10:52:56, sebastian a écrit :

Sebastian,

> I am experiencing the same problem with broadcom-sta-source 5.100.82.112-4.
> 
> When do you expect that broadcom-sta-source 5.100.82.112-5 will be
> available for wheezy?

Latest version for Wheezy is 5.100.82.112-6, but only for amd64, see these two 
bugs for details:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659509
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659732

I can't do anything but wait for ftp masters to fix the problem.

Kind regards,
Cyril Lacoux




Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#657049; Package broadcom-sta-source. (Thu, 16 Feb 2012 07:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to sebastian <sebastian.gassner@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Thu, 16 Feb 2012 07:45:07 GMT) Full text and rfc822 format available.

Message #25 received at 657049@bugs.debian.org (full text, mbox):

From: sebastian <sebastian.gassner@gmail.com>
To: Cyril Lacoux <clacoux@easter-eggs.com>
Cc: 657049@bugs.debian.org
Subject: Re: Bug#657049:
Date: Thu, 16 Feb 2012 08:31:12 +0100
I see, guess I have to wait then...
Thanks,
-sebastian



On Thu, Feb 16, 2012 at 8:27 AM, Cyril Lacoux <clacoux@easter-eggs.com> wrote:
> Le jeudi 16 février 2012 10:52:56, sebastian a écrit :
>
> Sebastian,
>
>> I am experiencing the same problem with broadcom-sta-source 5.100.82.112-4.
>>
>> When do you expect that broadcom-sta-source 5.100.82.112-5 will be
>> available for wheezy?
>
> Latest version for Wheezy is 5.100.82.112-6, but only for amd64, see these two
> bugs for details:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659509
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659732
>
> I can't do anything but wait for ftp masters to fix the problem.
>
> Kind regards,
> Cyril Lacoux




Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#657049; Package broadcom-sta-source. (Sat, 25 Feb 2012 11:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Sat, 25 Feb 2012 11:54:06 GMT) Full text and rfc822 format available.

Message #30 received at 657049@bugs.debian.org (full text, mbox):

From: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
To: 657049@bugs.debian.org
Subject: broadcom-sta-source for i686?
Date: Sat, 25 Feb 2012 12:52:01 +0100
Hi,

I've just noticed that broadcom-sta-source 5.100.82.112-6 is only
available for x64. Is there any reason for that? I have a 32 bits
system currently.

-- 
Guilhem BONNEFILLE
-=- JID: guyou@im.apinc.org MSN: guilhem_bonnefille@hotmail.com
-=- mailto:guilhem.bonnefille@gmail.com
-=- http://nathguil.free.fr/




Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#657049; Package broadcom-sta-source. (Sun, 04 Mar 2012 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@mail.ru>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Sun, 04 Mar 2012 22:03:07 GMT) Full text and rfc822 format available.

Message #35 received at 657049@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@mail.ru>
To: 657049@bugs.debian.org, 659509@bugs.debian.org
Cc: mightymouse <peterjeffris@gmail.com>, Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
Subject: Problem with broadcom-sta on i686 systems
Date: Mon, 05 Mar 2012 02:01:26 +0400
Hi,

Small notes which should be useful for you:

echo "deb-src http://ftp.de.debian.org/debian unstable main contrib non-free" | sudo tee /etc/apt/sources.list.d/debian-sources.list
sudo apt-get update
mkdir /tmp/broadcom-sta
cd /tmp/broadcom-sta
apt-get source broadcom-sta 
cd broadcom-sta-*/
dpkg-buildpackage -rfakeroot
cd ..
sudo dpkg -i broadcom-sta-common_*.deb broadcom-sta-source_*.deb 
sudo m-a a-i broadcom-sta
sudo modprobe -r wl
sudo modprobe wl
sudo iwconfig
sudo iwlist scan
rm -r /tmp/broadcom-sta
sudo rm /etc/apt/sources.list.d/debian-sources.list

Best regards,
Boris

Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#657049; Package broadcom-sta-source. (Wed, 07 Mar 2012 21:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Wed, 07 Mar 2012 21:45:09 GMT) Full text and rfc822 format available.

Message #40 received at 657049@bugs.debian.org (full text, mbox):

From: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
To: Boris Pek <tehnick-8@mail.ru>
Cc: 657049@bugs.debian.org, 659509@bugs.debian.org, mightymouse <peterjeffris@gmail.com>
Subject: Re: Problem with broadcom-sta on i686 systems
Date: Wed, 7 Mar 2012 22:42:00 +0100
Hi,

2012/3/4 Boris Pek <tehnick-8@mail.ru>:
> Small notes which should be useful for you:
>
> echo "deb-src http://ftp.de.debian.org/debian unstable main contrib non-free" | sudo tee /etc/apt/sources.list.d/debian-sources.list
> sudo apt-get update
> mkdir /tmp/broadcom-sta
> cd /tmp/broadcom-sta
> apt-get source broadcom-sta
> cd broadcom-sta-*/
> dpkg-buildpackage -rfakeroot
> cd ..
> sudo dpkg -i broadcom-sta-common_*.deb broadcom-sta-source_*.deb
> sudo m-a a-i broadcom-sta
> sudo modprobe -r wl
> sudo modprobe wl
> sudo iwconfig
> sudo iwlist scan
> rm -r /tmp/broadcom-sta
> sudo rm /etc/apt/sources.list.d/debian-sources.list


Thanks for these tips. This worked just fine.

Do you know any reason why broadcom-sta-source is shipped as binary
package for arch amd64 (and not for all arch)?
If there is any reason, I can upload my i386 package.



-- 
Guilhem BONNEFILLE
-=- JID: guyou@im.apinc.org MSN: guilhem_bonnefille@hotmail.com
-=- mailto:guilhem.bonnefille@gmail.com
-=- http://nathguil.free.fr/




Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#657049; Package broadcom-sta-source. (Wed, 07 Mar 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Wed, 07 Mar 2012 21:48:04 GMT) Full text and rfc822 format available.

Message #45 received at 657049@bugs.debian.org (full text, mbox):

From: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
To: Boris Pek <tehnick-8@mail.ru>
Cc: 657049@bugs.debian.org, 659509@bugs.debian.org, mightymouse <peterjeffris@gmail.com>
Subject: Re: Problem with broadcom-sta on i686 systems
Date: Wed, 7 Mar 2012 22:45:28 +0100
Sorry for previous email, I missed bug #659509.

2012/3/7 Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
> Hi,
>
> 2012/3/4 Boris Pek <tehnick-8@mail.ru>:
>> Small notes which should be useful for you:
>>
>> echo "deb-src http://ftp.de.debian.org/debian unstable main contrib non-free" | sudo tee /etc/apt/sources.list.d/debian-sources.list
>> sudo apt-get update
>> mkdir /tmp/broadcom-sta
>> cd /tmp/broadcom-sta
>> apt-get source broadcom-sta
>> cd broadcom-sta-*/
>> dpkg-buildpackage -rfakeroot
>> cd ..
>> sudo dpkg -i broadcom-sta-common_*.deb broadcom-sta-source_*.deb
>> sudo m-a a-i broadcom-sta
>> sudo modprobe -r wl
>> sudo modprobe wl
>> sudo iwconfig
>> sudo iwlist scan
>> rm -r /tmp/broadcom-sta
>> sudo rm /etc/apt/sources.list.d/debian-sources.list
>
>
> Thanks for these tips. This worked just fine.
>
> Do you know any reason why broadcom-sta-source is shipped as binary
> package for arch amd64 (and not for all arch)?
> If there is any reason, I can upload my i386 package.
>
>
>
> --
> Guilhem BONNEFILLE
> -=- JID: guyou@im.apinc.org MSN: guilhem_bonnefille@hotmail.com
> -=- mailto:guilhem.bonnefille@gmail.com
> -=- http://nathguil.free.fr/



-- 
Guilhem BONNEFILLE
-=- JID: guyou@im.apinc.org MSN: guilhem_bonnefille@hotmail.com
-=- mailto:guilhem.bonnefille@gmail.com
-=- http://nathguil.free.fr/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Apr 2012 07:38:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:14:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.